package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 酒款风格对象 wy_beer_style
 * 
 * @author kxl
 * @date 2025-03-08
 */
public class WyBeerStyle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 风格名称 */
    @Excel(name = "风格名称")
    private String styleName;

    private Long parentId;
    private String parentName;
    private List<WyBeerStyle> children;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStyleName(String styleName) 
    {
        this.styleName = styleName;
    }

    public String getStyleName() 
    {
        return styleName;
    }

    public List<WyBeerStyle> getChildren() {
        return children;
    }

    public void setChildren(List<WyBeerStyle> children) {
        this.children = children;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("styleName", getStyleName())
            .toString();
    }
}
